PT ARITA - Support #1713

[Performance Management] - Performance Appraisal - Penilai
10/19/2022 09:54 AM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/19/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Dear Mba Yomma,

Mohon dibantu untuk bagian Penilai (PHRPA0048) di form PMS HR Goal Setting otomatis memunculkan 1 baris yang berisi
Appraiser No. = Appraiser 1

Appraiser ID = membaca OM untuk mencari direct supervisor dari requester

Appraiser Type = direct supervisor

KPI Weight = 100 (otomatis terisi 100 nhamun tetap editable)

Qualification Weight = 100 (otomatis terisi 100 namun tetap editable)

Periormance Header

Start Date: oi/01/z022 Create By:

End Date: 31/112/2022 Create Date:

Apporaizal Type: 01 - Goal Setting Change By:

Appraizal Date: Change Date:

Notes:

-

o Penilai

Q Add | | [ Delete

Appraiser No. | AppraiserlD | Appraiser Type KPI Weight Qualification Weight

|

Port: http://remote.minovais.com:31131/

Server: remote.minovais.com,1442

DB: MinovaES_Arita_Dev

Menu: HR Strategic > Performance Management > Performance Appraisal

Terima kasih.

History

#1 - 10/19/2022 09:54 AM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 10/19/2022 09:55 AM - Fiona Avangeline Jonathan

- Subject changed from [Performance Management] - Performance Appraisal to [Performance Management] - Performance Appraisal - Penilai

#3 - 10/19/2022 02:55 PM - Fiona Avangeline Jonathan

- Description updated

#4 - 11/08/2022 10:43 AM - Fiona Avangeline Jonathan
- File Perhitungan PMS_Standar.xlsx added

Mba Yoma, berikut excel nya.

#5 - 11/17/2022 03:47 PM - Tri Rizqiaty
- File clipboard-202211171544-vbjfv.png added
- File MinovalS.MinovaES.Business.PMS.dll added

- File controllerperformance.js added
http://remote.minovais.com:31131/

- File PMS.xIsx added

- Status changed from Assigned to Developing

Fixing :

1. Update folder UNapp\controller\performance : controllerperformance.js - sesuai file terlampir
! BH Web corfig El.lhnvaui FieldGeneratorjs ml.li'lnvaui.ﬁddﬁummisﬁ [ controllerperformance js 1 | Lo 1t ﬂl.wimdj:ﬂl [

254 var applype = rec.getValue():

255

256 // add by Tri nwh 20221115 start

257 =) MinovaUtil.ExecuteParamQuery({

258 ID: "PMSRFFRAISERL",

259 EmployeeID: getParam('EmployeeID')

260 }, function (3) {

261 var result = Ext.decode (s.responseText) ;

262 var dt = Ext.decode (Ext.decode (result.data));

263 var overView = Ext.StoreMgr.loockup('stor=PHRE

264 =) if (overView != undefined) {

265 overView.removeRll() ;

266 overView.loadData (dt) !

267 | }

268 & if (result.success) [

269 MinovaMessage ("', 'EFMSI PR |

270 - } else {}

G | }, Function (f) {}):

S =l setTimeout( () =>{

273 var griddf = Ext.ComponentQuery.query (' [name=gridPi

274 grid4s.getView() .refresh();

DU |- }, LO00):

276 // add by Tri nwh 20221115 end

277

< >
Searrh reaiitts - (A hite)

2. Update API2\bin : MinovalS.MinovaES.Business.PMS.dIl - sesuai file terlampir
3. Update table PCMWFCUSTPARAM - add ID : PMSAPPRAISERT - sesuai excel terlampir

#6 - 11/17/2022 03:47 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Fiona Avangeline Jonathan

#7 - 11/22/2022 10:35 AM - Fiona Avangeline Jonathan
- File clipboard-202211221034-pmrrm.png added

- Status changed from QA Test to Revise

Mba Yomma,

Mohon dibantu untuk Direct Supervisor nya belum membaca dari OM.

Performance Appraisal

HOME > PERFORMANCE APPRAISAL

Employee Overview - 00000074 - MAMAT MAULANA

Employee ID: 00000074 Company ID: PT Arita Prima Indonesia Tbk Q
Full Name: MAMAT MAULANA Employee Office: IT
Employee Status: Active ‘Organization: IT
Employee Type: Tetap Position: Staff IT Support 1
Performance Header
Start Data: 01/01/2022 Craate By: o
End Date: 31/12/2022 Create Date:
Apporaisal Type: 01 - Goal Setting Change By:
Appraizal Feriod: Change Date:
Appraizal Date:
Notes:
-
M, Penilai
Q Add | | Delete
Appraiser .. AppraiserID | AppraiserMame Appraiser .. KPI Weight Qualificati..
Appraiser 1 DoooocoTE MAMAT MAULANA Direct Sup... 100 100

Seharusnya atasan langsung Employee ID 00000074 adalah Employee ID 00000073.

Kemudian ada kesalahan pembacaan Appraiser Name sehingga Appraiser ID dan Appraiser Name tidak sinkron.

Terima kasih.
#8 - 11/22/2022 10:35 AM - Fiona Avangeline Jonathan

- Assignee changed from Fiona Avangeline Jonathan to Tri Rizqgiaty

#9 - 11/23/2022 03:01 PM - Tri Rizqgiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

Fixing :

Update table PCMWFCUSTPARAM - ID:PMSAPPRAISERT1 = rubah field Value menjadi

SELECT @EmployeelD AS EmployeelD, " AS AppraisalType, " AS HeaderSequence, " AS Sequence, dbo.GetEmpSupervisor(@EmployeelD) AS
AppraisalD, 'DS' AS AppraiserType, 100 AS KPIWeight, 100 AS QualificationWeight, 'App1' AS AppraiserNo, (SELECT TOP FullName FROM
dbo.PHRPA0001 WHERE EmployeelD = dbo.GetEmpSupervisor(@EmployeelD) ORDER BY StartDate DESC) AS AppraiserName

#10 - 01/06/2023 09:47 AM - Fiona Avangeline Jonathan

- Status changed from QA Test to Revise

- Assignee changed from Fiona Avangeline Jonathan to Tri Rizgiaty

Mba Yom,

Mohon dibantu update untuk fixing terbaru nya. Yang sekarang tampil di form sudah sesuai DS nya.

Terima kasih.

#11 - 01/06/2023 10:42 AM - Fiona Avangeline Jonathan
- File clipboard-202301061042-icjio.png added

», Penilai

O Add | T Delete
Appraiser No. AppraiserID AppraiserMame

Appraiser 1 00000073 CANDRA SETIAWINATA

#12 - 02/02/2023 03:19 PM - Tri Rizqiaty
- File PMSAPPRAISER1_20230202.sql added
- File controllerperformance.js added

- Status changed from Revise to QA Test

Appraiser Type

Ds

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

Fixing :

KPlWeight

100

1. Update folder UNapp\controller\performance : controllerperformance.js (file terlampir)
2. Execute SP Terlampir : PMSAPPRAISER1_20230202.sq| (file terlampir)
3. Update table PCMWFCUSTPARAM - PMSAPPRAISERT1 rubabh isi field Value menjadi 'EXEC PMSAPPRAISER1 @EmployeelD, @EndDate'

#13 - 02/02/2023 03:56 PM - Fiona Avangeline Jonathan
- Status changed from QA Test to Closed

Files

Qualification Weight

100

clipboard-202210190953-bwhsn.png
Perhitungan PMS_Standar.xlIsx
clipboard-202211171544-vbjfv.png
MinovalS.MinovaES.Business.PMS.dlI
PMS.xlIsx
clipboard-202211221034-pmrrm.png
clipboard-202301061042-icjio.png 11.3 KB 01/06/2023 Fiona Avangeline Jonathan
PMSAPPRAISER1_20230202.sq| 2.85 KB 02/02/2023 Tri Rizqiaty
controllerperformance.js 58.5 KB 02/02/2023 Tri Rizqgiaty

03/15/2025 4/4


http://www.tcpdf.org

